using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class BeaconBehaviour : MonoBehaviour
{
    public Texture2D[] runeTextures;
    public Material lightEmissionMaterial;
    public MeshRenderer beaconMeshRenderer;
    public Light light;

    void Start()
    {
    }

    void Update()
    {
    }
    public void SetType(int type) {
        beaconMeshRenderer.materials[2].SetTexture("_MainTex", runeTextures[type]);
    }
    public void SetColor(Color color) {
        light.color = color;
    }
}
